"""Make metadata not nullable and rename to userdata

Revision ID: 057555237953
Revises: 021d7514e351
Create Date: 2021-06-03 14:04:02.998740

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "057555237953"
down_revision = "021d7514e351"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "ensemble",
        "metadata",
        new_column_name="userdata",
        existing_type=postgresql.JSON(astext_type=sa.Text()),
        nullable=False,
    )
    op.alter_column(
        "experiment",
        "metadata",
        new_column_name="userdata",
        existing_type=postgresql.JSON(astext_type=sa.Text()),
        nullable=False,
    )
    op.alter_column(
        "observation",
        "metadata",
        new_column_name="userdata",
        existing_type=postgresql.JSON(astext_type=sa.Text()),
        nullable=False,
    )
    op.alter_column(
        "prior",
        "metadata",
        new_column_name="userdata",
        existing_type=postgresql.JSON(astext_type=sa.Text()),
        nullable=False,
    )
    op.alter_column(
        "record",
        "metadata",
        new_column_name="userdata",
        existing_type=postgresql.JSON(astext_type=sa.Text()),
        nullable=False,
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "record",
        "userdata",
        new_column_name="metadata",
        existing_type=postgresql.JSON(astext_type=sa.Text()),
        nullable=True,
    )
    op.alter_column(
        "prior",
        "userdata",
        new_column_name="metadata",
        existing_type=postgresql.JSON(astext_type=sa.Text()),
        nullable=True,
    )
    op.alter_column(
        "observation",
        "userdata",
        new_column_name="metadata",
        existing_type=postgresql.JSON(astext_type=sa.Text()),
        nullable=True,
    )
    op.alter_column(
        "experiment",
        "userdata",
        new_column_name="metadata",
        existing_type=postgresql.JSON(astext_type=sa.Text()),
        nullable=True,
    )
    op.alter_column(
        "ensemble",
        "userdata",
        new_column_name="metadata",
        existing_type=postgresql.JSON(astext_type=sa.Text()),
        nullable=True,
    )
    # ### end Alembic commands ###
