"""Inline parameters into ensembles

Revision ID: 4effed76d1e2
Revises: 98601344bcf5
Create Date: 2021-02-24 16:48:36.601870

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "4effed76d1e2"
down_revision = "98601344bcf5"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("parameter")
    op.add_column(
        "ensemble", sa.Column("parameters", sa.ARRAY(sa.FLOAT()), nullable=False)
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("ensemble", "parameters")
    op.create_table(
        "parameter",
        sa.Column("id", sa.INTEGER(), autoincrement=True, nullable=False),
        sa.Column(
            "time_created",
            postgresql.TIMESTAMP(),
            server_default=sa.text("now()"),
            autoincrement=False,
            nullable=True,
        ),
        sa.Column(
            "time_updated",
            postgresql.TIMESTAMP(),
            server_default=sa.text("now()"),
            autoincrement=False,
            nullable=True,
        ),
        sa.Column(
            "values",
            postgresql.ARRAY(postgresql.DOUBLE_PRECISION(precision=53)),
            autoincrement=False,
            nullable=False,
        ),
        sa.Column("ensemble_id", sa.INTEGER(), autoincrement=False, nullable=False),
        sa.ForeignKeyConstraint(
            ["ensemble_id"], ["ensemble.id"], name="parameter_ensemble_id_fkey"
        ),
        sa.PrimaryKeyConstraint("id", name="parameter_pkey"),
    )
    # ### end Alembic commands ###
