"""Add azure blob storage

Revision ID: c1b95721c62a
Revises: d72e51c6bdf2
Create Date: 2021-03-10 14:30:59.473787

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "c1b95721c62a"
down_revision = "d72e51c6bdf2"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column("file", sa.Column("az_blob", sa.String(), nullable=True))
    op.add_column("file", sa.Column("az_container", sa.String(), nullable=True))
    op.alter_column("file", "content", existing_type=postgresql.BYTEA(), nullable=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column("file", "content", existing_type=postgresql.BYTEA(), nullable=False)
    op.drop_column("file", "az_container")
    op.drop_column("file", "az_blob")
    # ### end Alembic commands ###
